# 查询 License 续期订单 (/zh-CN/api-reference/api-ref/voip-callkit/list-license-renewals)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

查询指定 PID 下的 License 续期订单。

- OpenAPI: /openapi/voip-callkit/call.zh-CN.yaml
- Operation ID: getLicenseRenewals
- Method: GET
- Path: /dabiz/license/v3/projects/{appId}/renewals
- Endpoint: https://api.sd-rtn.com/dabiz/license/v3/projects/{appId}/renewals

## Servers

- https://api.sd-rtn.com

该方法可以查询指定 PID 下所有的续期订单，方便你根据剩余数量和有效期等信息，确定使用哪一个 `renewId` 进行续期。


## Authorization

This endpoint requires authentication.

- `Basic Auth`

## Parameters

- `appId` (path, required, string) - 你的声网项目使用的 [App ID](/zh-CN/introduction/glossary#appid)。
- `pid` (query, optional, string) - （可选）由 SKU、有效期、品类定义的 License 激活标识。需要和 `activate` 接口中传入的 `pid` 一致。
- `page` (query, optional, integer) - （可选）页码。默认值为 1。
  - Default: `1`
- `size` (query, optional, integer) - （可选）每页查询的 License 数量。默认值为 100，最大值为 100。
  - Default: `100`
  - Maximum: `100`

## Request body

No request body.

## Responses

### 200

请求成功。

- `data` (object)
  - `data.count` (integer) - 续期订单数量。
  - `data.list` (array) - 由多组续期订单信息组成的数组。
    - `data.list.items` (object)
      - `data.list.items.renewId` (string) - 续期 ID。
      - `data.list.items.pid` (string) - 由 SKU、有效期、品类定义的 License 激活标识。和你在请求中填入的 `pid` 一致。
      - `data.list.items.type` (integer) - License 类型：
- `1`: 整个 CID 下所有 App ID 均可使用。
- `2`: 仅指定 App ID 可用。

      - `data.list.items.duration` (integer) - 有效期。单位根据你的 `pid` 类型而定：
- 如果 `pid` 为测试类型，则有效期的单位为天。
- 如果 `pid` 为正式类型，则有效期的单位为年。

      - `data.list.items.totalCount` (integer) - 续期次数。
      - `data.list.items.allocateCount` (integer) - 已经使用的次数。
      - `data.list.items.createTime` (string) - 续期创建的时间，RFC3339 格式。
        - Format: `date-time`
### 非 200

请求失败。你可以根据返回的响应状态码和响应 Body 中 `message` 字段的描述排查错误。

- `message` (string) - 请求失败的错误信息。请结合返回的响应状态码排查错误。

## Response examples

### 200

```json
{
  "code": 200,
  "data": {
    "count": 2,
    "list": [
      {
        "renewId": "xxxx",
        "pid": "xxxx",
        "type": 2,
        "duration": 50,
        "totalCount": 20,
        "allocateCount": 0,
        "createTime": "2024-12-02T08:32:12Z"
      },
      {
        "renewId": "xxxx",
        "pid": "xxxx",
        "type": 1,
        "duration": 30,
        "totalCount": 100,
        "allocateCount": 0,
        "createTime": "2024-12-02T08:25:30Z"
      }
    ]
  }
}
```
